🐛

【Expo SDK37】「Unable to resolve "@expo/vector-icons/Fontisto" from "node_modules/native-base/dist/src/basic/IconNB.js」のエラー対策

SDK37にアップグレードしたところnative-base関連のエラーが発生した。

エラー内容:

Unable to resolve "@expo/vector-icons/Fontisto" from "node_modules/native-base/dist/src/basic/IconNB.js"

error-sdk37-nativebase01

node_moduleやキャッシュ関連を削除しても解決せず。

解決策:

npm i --save-exact native-base@2.13.8

Expoでは↑をインストールしないといけないらしい? インストール後は無事起動した。

参考

まとめ

今回のSDK37のアップグレードからexpo upgrade一発でapp.json,package.jsonの中身を書き換えてくれるのでとても楽ちんだなと思いました。進化してる〜

参考

零細IT社長, 7期目|サイト運営やアプリ開発してたり(PHP, React Native + Expo, Firebase, Python, Gatsby + Netlify)|YouTubeチャンネル運営中|🎹

© 2020, Wataru All rights reserved.